Fetch a Single Variation
1 min
GET
https://api.optimizely.com/flags/v1//projects/{project_id}/flags/{flag_key}/variations/{variation_key}
Path Parameters
- project_idintegerrequiredExampleDescription
- flag_keystringrequiredExampleDescription
- variation_keystringrequiredExampleDescription
Responses
200
- VariationExample
{ "archive_url": "...", "archived": false, "created_time": "2019-05-08T00:00:00.000Z", "delete_url": "...", "description": "Use this to provide high discounts", "enabled": true, "environment_usage_count": { "development": 2, "production": 3 }, "fetch_flag_url": "...", "flag_key": "recurring_deposit", "id": 45633995, "key": "high_discount", "name": "High Discount", "revision": 1, "unarchive_url": "...", "update_url": "...", "updated_time": "2019-05-08T00:00:00.000Z", "url": "...", "urn": "variations.flag.optimizely.com::45633995", "variables": { "advanced": { "key": "advanced", "type": "json", "value": "{\n\t\"hello\": 123\n}" }, "amount": { "key": "amount", "type": "double", "value": "10.0" }, "message": { "key": "message", "type": "string", "value": "Enjoy!!" } } }- archive_urlobjectDescription
- UrlValue
- archivedbooleanDescription
- created_timestring<date-time>requiredDescriptionFormatdate-time
- delete_urlobjectDescription
- UrlValue
- descriptionstringDescription
- enabledbooleanDescription
- environment_usage_countmap<string, integer>Example
{ "development": 15, "production": 20 }Description - fetch_flag_urlobjectDescription
- UrlValue
- flag_keystringrequiredDescription
- idintegerrequiredDescription
- in_usebooleanDescription
- keystringrequiredDescription
- namestringrequiredDescription
- revisionintegerDescription
- rolestringExampleDescription
- screenshot_namestringExampleDescriptionMax Length255
- screenshot_urlstringExampleDescriptionMax Length2000
- unarchive_urlobjectDescription
- UrlValue
- update_urlobjectDescription
- UrlValue
- updated_timestring<date-time>requiredDescriptionFormatdate-time
- urlobjectrequiredDescription
- UrlValue
- urnstringrequiredDescription
- variablesmap<string, VariableValue>Description
400
401
403
404
curl
curl --request GET \
--url https://api.optimizely.com/flags/v1//projects/{project_id}/flags/{flag_key}/variations/{variation_key} \
--header 'accept: application/json'javascript
var myHeaders = new Headers();
myHeaders.append("accept", "application/json");
myHeaders.append("content-type", "application/json");
var requestOptions = {
method: 'GET',
headers: myHeaders,
redirect: 'follow'
};
fetch("https://api.optimizely.com/flags/v1//projects/{project_id}/flags/{flag_key}/variations/{variation_key}", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));ruby
require "uri"
require "json"
require "net/http"
url = URI("https://api.optimizely.com/flags/v1//projects/{project_id}/flags/{flag_key}/variations/{variation_key}")
https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true
request = Net::HTTP::Get.new(url)
request["accept"] = "application/json"
request["content-type"] = "application/json"
response = https.request(request)
puts response.read_body
python
import requests
import json
url = "https://api.optimizely.com/flags/v1//projects/{project_id}/flags/{flag_key}/variations/{variation_key}"
payload = {}
headers = {
'accept': 'application/json',
'content-type': 'application/json'
}
response = requests.request("GET", url, headers=headers, data=payload)
print(response.text)
200
// Successful retrieval, creation or update of a Variation for a Flag.
The response includes RESTful JSON (https://restfuljson.org/) styled links. If a
link is not present in the response, it indicates a user is not authorized to access
the related resource.
{
"archive_url": {},
"archived": false,
"created_time": "",
"delete_url": {},
"description": "",
"enabled": false,
"environment_usage_count": "{\"development\":15,\"production\":20}",
"fetch_flag_url": {},
"flag_key": "",
"id": 0,
"in_use": false,
"key": "",
"name": "",
"revision": 0,
"role": "admin",
"screenshot_name": "hero-banner.png",
"screenshot_url": "/projects/123/files/a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"unarchive_url": {},
"update_url": {},
"updated_time": "",
"url": {},
"urn": "",
"variables": ""
}400
// Malformed requests and invalid parameter names and types
401
// Invalid credentials
403
// Do not have permission to perform the operation
404
// Not found. No content